# Generated from permitter-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name permitter

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Simple Rails 4 authorization solution
License: MIT
URL: http://github.com/merhard/permitter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(rspec-rails) >= 2.14
# BuildRequires: rubygem(rspec-rails) < 3
# BuildRequires: rubygem(factory_girl_rails) >= 4.3
# BuildRequires: rubygem(factory_girl_rails) < 5
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(simplecov) >= 0.8
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Simple Rails 4 authorization solution for developer to permit user allowances.
Developer whitelists controller actions and resources per user type.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
